Opened 8 years ago

Closed 8 years ago

#40037 closed defect (duplicate)

py*-numpy @1.7.1+universal: destroot failure

Reported by: macports1@… Owned by: dh@…
Priority: Normal Milestone:
Component: ports Version: 2.2.0
Keywords: Cc: michaelld (Michael Dickens), poorsod@…, mojca (Mojca Miklavec), dtkerns, matthew.alexander.fraser@…, cmutel (Chris Mutel), mr.mcox@…, mark.chilenski@…, charlie.ellison01@…, bczapp@…, jeremyhu (Jeremy Huddleston Sequoia), chmitchell@…
Port: py-numpy

Description

While upgrading py27-matplotlib, py27-numpy build fails.

tiagovieira at imac in ~
$ sudo port outdated
The following installed ports are outdated:
py27-matplotlib                1.2.1_0 < 1.3.0_0
tiagovieira at imac in ~
$ sudo port upgrade outdated
--->  Computing dependencies for py27-matplotlib
--->  Dependencies to be installed: py27-numpy py27-pyobjc-cocoa py27-pyobjc py27-py2app py27-tkinter tk tcl
--->  Fetching archive for py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_11.i386-x86_64.tbz2 from http://lil.fr.packages.macports.org/py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_11.i386-x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_11.i386-x86_64.tbz2 from http://packages.macports.org/py27-numpy
--->  Fetching distfiles for py27-numpy
--->  Verifying checksums for py27-numpy
--->  Extracting py27-numpy
--->  Applying patches to py27-numpy
--->  Configuring py27-numpy
--->  Building py27-numpy
--->  Staging py27-numpy into destroot
Error: org.macports.destroot for port py27-numpy returned: command execution failed
Error: Failed to install py27-numpy
Please see the log file for port py27-numpy for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-numpy/py27-numpy/main.log
Error: The following dependencies were not installed: py27-numpy py27-pyobjc-cocoa py27-pyobjc py27-py2app py27-tkinter tk tcl
Error: Unable to upgrade port: 1
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
tiagovieira at imac in ~

Attachments (3)

main.log (214.4 KB) - added by macports1@… 8 years ago.
main.2.log (361.8 KB) - added by poorsod@… 8 years ago.
Same issue in py33-numpy
main.3.log (252.6 KB) - added by dtkerns 8 years ago.
log from dtk 8/15/13

Download all attachments as: .zip

Change History (31)

Changed 8 years ago by macports1@…

Attachment: main.log added

comment:1 Changed 8 years ago by ryandesign (Ryan Schmidt)

Cc: michaelld@… added
Owner: changed from macports-tickets@… to dh@…
Summary: py27-numpy @ 1.7.1 Build failurepy27-numpy @ 1.7.1 destroot failure

comment:2 Changed 8 years ago by poorsod@…

I'm having the same destroot failure when trying to install py33-numpy+universal. Logs look very similar (I'm attaching them).

Changed 8 years ago by poorsod@…

Attachment: main.2.log added

Same issue in py33-numpy

comment:3 Changed 8 years ago by poorsod@…

Cc: poorsod@… added

Cc Me!

comment:4 Changed 8 years ago by mojca (Mojca Miklavec)

Cc: mojca@… added

Cc Me!

comment:5 Changed 8 years ago by macports1@…

The issue seems to be related to the +universal variant. If I install it without +universal it is built and installed successfully.

comment:6 Changed 8 years ago by larryv (Lawrence Velázquez)

Cc: david.t.kerns@… added
Port: py-numpy added; py27-numpy removed
Summary: py27-numpy @ 1.7.1 destroot failurepy*-numpy @1.7.1+universal: destroot failure

Has duplicate #40104.

comment:7 Changed 8 years ago by matthew.alexander.fraser@…

Cc: matthew.alexander.fraser@… added

Cc Me!

comment:8 Changed 8 years ago by matthew.alexander.fraser@…

Even after doing the following I still have the same numpy install error...

IGNORE THIS:

I used the advice on the Macports website in the installation guide...

Use this command for py27, it worked for me and I had the same error reported above:

sudo port -n upgrade --force python27

Last edited 8 years ago by matthew.alexander.fraser@… (previous) (diff)

comment:9 Changed 8 years ago by dtkerns

my Ticket #40104 was duped to this one, as stated there, I've tried the command:
sudo port -n upgrade --force python27
it didn't resolve the issue for me. There might be additional data (contents of site package dir) in my ticket that sheds some light on this problem.

comment:10 Changed 8 years ago by michaelld (Michael Dickens)

For folks who have done the forced python27 update and are still experiencing issues, please verify that "port installed python27" returns "python27 @2.7.5_1+universal". If the version is not @2.7.5_1, then the forced update did not work. If the python version is correct, then please try the following:

sudo port clean py27-numpy
sudo port selfupdate
sudo port install py27-numpy +universal

and see if that works. If not, please post the resulting full log file for py27-numpy to this ticket.

Changed 8 years ago by dtkerns

Attachment: main.3.log added

log from dtk 8/15/13

comment:11 Changed 8 years ago by dtkerns

$ port  installed python27
The following ports are currently installed:
  python27 @2.7.1_3+universal
  python27 @2.7.2_0+universal
  python27 @2.7.2_1+universal
  python27 @2.7.3_0+universal
  python27 @2.7.5_1+universal (active)
$ sudo port clean py27-numpy
Password:
--->  Cleaning py27-numpy
$ sudo port selfupdate
--->  Updating MacPorts base sources using rsync
MacPorts base version 2.2.0 installed,
MacPorts base version 2.2.0 downloaded.
--->  Updating the ports tree
--->  MacPorts base is already the latest version

The ports tree has been updated. To upgrade your installed ports, you should run
  port upgrade outdated
$ sudo port install py27-numpy +universal
--->  Computing dependencies for py27-numpy
--->  Fetching archive for py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_10.i386-x86_64.tbz2 from http://packages.macports.org/py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_10.i386-x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/py27-numpy
--->  Attempting to fetch py27-numpy-1.7.1_0+universal.darwin_10.i386-x86_64.tbz2 from http://lil.fr.packages.macports.org/py27-numpy
--->  Fetching distfiles for py27-numpy
--->  Verifying checksums for py27-numpy
--->  Extracting py27-numpy
--->  Applying patches to py27-numpy
--->  Configuring py27-numpy
--->  Building py27-numpy
--->  Staging py27-numpy into destroot
Error: org.macports.destroot for port py27-numpy returned: command execution failed
Please see the log file for port py27-numpy for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-numpy/py27-numpy/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port py27-numpy failed
$

comment:12 Changed 8 years ago by michaelld (Michael Dickens)

Thanks; that looks like the same issue as before the Python27 change. I'll push numpy up on my queue, hopefully get to this early next week. Sorry for the long wait. Do you really need +universal? If not, other folks have found success installing as -universal.

comment:13 Changed 8 years ago by dtkerns

sorry, I don't know the difference... just getting +universal by default

comment:14 Changed 8 years ago by poorsod@…

I do need +universal... I'm relying on a lib that only runs in i386 mode

comment:15 Changed 8 years ago by michaelld (Michael Dickens)

Fair enough about needing +universal. I can replicate this issue for python33; I'll continue to investigate.

comment:16 Changed 8 years ago by cmutel (Chris Mutel)

Cc: cmutel@… added

Cc Me!

comment:17 Changed 8 years ago by mr.mcox@…

Cc: mr.mcox@… added

Cc Me!

comment:18 Changed 8 years ago by mark.chilenski@…

Cc: mark.chilenski@… added

Cc Me!

comment:19 Changed 8 years ago by charlie.ellison01@…

Cc: charlie.ellison01@… added

Cc Me!

comment:20 Changed 8 years ago by poorsod@…

Is this still a priority?

comment:21 Changed 8 years ago by bczapp@…

Cc: bczapp@… added

Cc Me!

comment:22 Changed 8 years ago by michaelld (Michael Dickens)

Priority, no. I was gone for the past week. I will try to get to this item this coming week.

comment:23 in reply to:  22 Changed 8 years ago by poorsod@…

Thanks! :)

comment:24 Changed 8 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Cc: jeremyhu@… added

Cc Me!

comment:25 Changed 8 years ago by chmitchell@…

Cc: chmitchell@… added

Cc Me!

comment:26 Changed 8 years ago by chmitchell@…

Just curious. I'm still having an issue with this. I am assuming this is still unresolved?

comment:27 in reply to:  26 Changed 8 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to chmitchell@…:

Just curious. I'm still having an issue with this. I am assuming this is still unresolved?

As the bug report is still open and you are still having the issue, that would certainly indicate as such ;)

comment:28 Changed 8 years ago by ryandesign (Ryan Schmidt)

Resolution: duplicate
Status: newclosed

Duplicate of #34562.

Note: See TracTickets for help on using tickets.